//工作情况
import request from "@/utils/request";
///mosty-api
const api = "/mosty-api";
// 在岗警力 | 街面力量
export function getZgjlData(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwBmjlbb/selectOnCop',
    method: 'GET',
    params
  })
}
// 街面巡组 | 巡逻时长里程
export function getSelectDeck(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwXfbb/selectDeck',
    method: 'GET',
    params
  })
}
//盘查车辆
export function getSelectCarCount(params = {}) {
  return request({
    url: api + '/mosty-hczx/tbHcBpccl/selectCarCount',
    method: 'GET',
    params
  })
}
//盘查人员
export function getSelectCrewCount(params = {}) {
  return request({
    url: api + '/mosty-hczx/tbHcBpcry/selectCrewCount',
    method: 'GET',
    params
  })
}

// 大屏首页统计 -盘查人员
export function getPcryList(params) {
  return request({
    url: api + '/mosty-hczx/tbHcBpcry/selectCrewList',
    method: 'GET',
    params
  })
}
// 大屏首页统计 -盘查车辆
export function getPcclList(params) {
  return request({
    url: api + '/mosty-hczx//tbHcBpccl/selectCarList',
    method: 'GET',
    params
  })
}

//指令执行情况
export function getSelectInstructCount(params = {}) {
  return request({
    url: api + '/mosty-yjzl/tbZl/selectInstructCount',
    method: 'GET',
    params
  })
}
//指令执行情况
export function getSelectLiist(data) {
  return request({
    url: api + '/mosty-yjzl/tbZl/selectInstructList',
    method: 'POST',
    data
  })
}
//专业装备
export function getZyzb(data) {
  return request({
    url: api + '/mosty-jcgl/tpjcglZnzb/getZyzb',
    method: 'POST',
    data
  })
}


//查询巡组列表
export function getSelectDeckList(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwXfbb/selectDeckList',
    method: 'GET',
    params
  })
}

//查询警情数据
export function getSelectVigilant(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbJq/getPageList',
    // url:api + '/mosty-sjzx/xftj/jmjq/jqlb',
    method: 'GET',
    params
  })
}

//查询预警数据列表
export function getSelectVigilantList(data) {
  return request({
    url: api + '/mosty-yjzl/tbYjxx/getPageList',
    method: 'POST',
    data
  })
}
//查询指令数据
export function getSelectInstructList(data) {
  return request({
    url: api + '/mosty-yjzl/tbZl/selectInstructList',
    method: 'POST',
    data
  })
}

//搜索查询
export function getSelectEventList(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbSj/selectEventList',
    method: 'GET',
    params
  })
}

//街面巡组详情
export function getSelectByid(params = {}) {
  return request({
    url: api + '/mosty-jcgl/tbJcglJz/selectByid',
    method: 'GET',
    params
  })
}

//警情撒点数据
export function getJqPointList(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbJq/getList',
    method: 'GET',
    params
  })
}

//警情单条查询数据
export function getJqItem(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbJq/' + params.id,
    method: 'GET'
  })
}

//案件撒点数据
export function getAjPointList(params = {}) {
  return request({
    url: api + '/mosty-yszx/tbYsAj/getList',
    method: 'GET',
    params
  })
}

//公安资源撒点数据
export function getGazyPointList(data) {
  return request({
    url: api + '/mosty-yszx/tbYsGajg/getList',
    method: 'POST',
    data
  })
}


//社会资源撒点数据
export function getShzyPointList(data) {
  return request({
    url: api + '/mosty-yszx/tbYsDl/selectGeography',
    method: 'POST',
    data
  })
}

//感知源撒点数据
export function getGzyPointList(params = {}) {
  return request({
    url: api + '/mosty-yszx/tbYsSxt/getList',
    method: 'GET',
    params
  })
}


//预警撒点数据
export function getYjPointList(params = {}) {
  return request({
    url: api + '/mosty-yjzl/tbYjxx/getList',
    method: 'GET',
    params
  })
}

//获取当前勤务等级
export function getQwCurrentQwdj(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwQwdj/currentQwdj',
    method: 'GET',
    params
  })
}

//获取警情热力图数据
export function getJqHotMap(params = {}) {
  return request({
    url: api + '/mosty-sjzx/tbJq/getJqHotMap',
    method: 'GET',
    params
  })
}

//获取预警热力图数据
export function getListHotMap(params = {}) {
  return request({
    url: api + '/mosty-yjzl/tbYjxx/getListHotMap',
    method: 'GET',
    params
  })
}

//获取案件热力图数据
export function getAjHotMap(params = {}) {
  return request({
    url: api + '/mosty-yszx/tbYsAj/getAjHotMap',
    method: 'GET',
    params
  })
}
//获取徐巡防区数据
export function getTbJcglXfqySelectById(params = {}) {
  return request({
    url: api + '/mosty-jcgl/tbJcglXfqy/selectById',
    method: 'GET',
    params
  })
}

//获取快反点数据
export function getTpJcglKfdSelectByid(params = {}) {
  return request({
    url: api + '/mosty-jcgl/tpJcglKfd/selectByid',
    method: 'GET',
    params
  })
}

// 新增事件
export function addNewEvent(data) {
  return request({
    url: api + '/mosty-sjzx//tbSj',
    method: 'POST',
    data
  })
}
export function selectNewEventById(id) {
  return request({
    url: api + '/mosty-sjzx/tbSj/selectById?id=' + id,
    method: 'GET',
  })
}

// 新增事件
export function pcsHasXz(params = {}) {
  return request({
    url: api + '/mosty-qwzx/tbQwXfbb/getFjbbByYsId',
    method: 'GET',
    params
  })
}


// 指令查询详情
export function getDetailZl(params) {
  return request({
    url: api + '/mosty-yjzl/tbYjxx/getInfo/' + params,
    method: 'GET'
  })
}


// 	查询预警列表-分页
export function getListYj(data) {
  return request({
    url: api + '/mosty-yjzl/tbYjxx/getPageList',
    method: 'POST',
    data
  })
}


// 	查询预警列表-分页
export function getListJzxx(data) {
  return request({
    url: api + '/mosty-jcgl/tbJcglXfll/getZyjzList',
    method: 'POST',
    data
  })
}


// 	查询预警列表-分页
export function sendYjzl(data) {
  return request({
    url: api + '/mosty-yjzl/tbZl/addZl',
    method: 'POST',
    data
  })
}

// 	附近装备
export function nearbyZb(params = {}) {
  return request({
    url: api + '/mosty-jcgl/tpjcglZnzb/getFjzbList',
    method: 'GET',
    params
  })
}

// 	现场装备
export function xcZbInfo(params = {}) {
  return request({
    url: api + '/mosty-yjzl/tbZl/getXczbList',
    method: 'GET',
    params
  })
}


// 位置中心-位置统计-统计-里程数
export function locationLCS(params = {}) {
  return request({
    url: api + '/mosty-wzzx/wztj/tj/jrlcs',
    method: 'GET',
    params
  })
}

// 位置中心-位置统计-统计-位置人数
export function locationWZRS(params = {}) {
  return request({
    url: api + '/mosty-wzzx/wztj/tj/jrwzrs',
    method: 'GET',
    params
  })
}
// 位置中心-位置统计-统计-巡组位置数
export function locationXZWZS(params = {}) {
  return request({
    url: api + '/mosty-wzzx/wztj/tj/jrxzwzs',
    method: 'GET',
    params
  })
}

// 位置中心-位置统计-统计-人数里程巡组整合
export function locationRSLCZH(params = {}) {
  return request({
    url: api + '/mosty-wzzx/wztj/tj/rslcxz',
    method: 'GET',
    params
  })
}

// 位置中心-位置统计-人员位置列表
export function locationRYSSWZ(params = {}) {
  return request({
    url: api + '/mosty-wzzx/gxga/rywz/list',
    method: 'GET',
    params
  })
}

// 位置中心-位置统计-设备设施位置列表
export function locationSbsswz(params = {}) {
  return request({
    url: api + '/mosty-wzzx/gxga/sbsswz/list',
    method: 'GET',
    params
  })
}

// 查询犯罪预测列表
export function queryListfzyc(data = {}) {
  return request({
    url: api + '/mosty-yjzl/tbFzyc/queryList',
    method: 'POST',
    data
  })
}

//查询犯罪预测巡逻列表
export function queryQfzxl(params = {}) {
  return request({
    url: api + '/mosty-yjzl//tbFzycXljl/qfzxl',
    method: 'GET',
    params
  })
}
